LoLa - Local PCX Loader

Alcatel-Lucent Local PCX Software Download Kit

Software download utility for Alcatel-Lucent OmniPCX Office Rich Communication Edition.

Requirements

PC Pentium/AMD 233 MHz and RAM >= 256 MB minimum

Microsoft Windows NT, Windows XP, Windows 2000, Windows 7 32/64 bits, Windows 8 32/64 bits (supported as of Lola 400/9.1), Windows 8.1 32/64 bits (supported as of Lola 400/12.1) or Windows 2012 Server 64 bits (supported as of Lola 400/9.1)

In the Network properties the "Files and Printer for the Network Microsoft" must be installed and selected

Internet Explorer >5.0 Service Pack 1

Ethernet card installed

Ethernet cable for high speed data communication: one straight/crossed 10BaseT twisted pair cable

Installation media with the Alcatel-Lucent Local PCX Software Download kit containing the LoLa, BOOTP & TFTP server applications

Media containing the Software package to download to the related board

The "DownloadingItems" directory of LoLa — the path is, for example:
C:\Program Files\PCXTools\LoLa\LoLa400_Rx.x\DownloadingItems —
must grant all rights to the "LoLa400_Rx.x" application and for to all "users". It must be set to Read and eXecute for everyone

The directory where a backup file is saved (for Migration - i.e. software release update - purposes) must be set to Read and eXecute for everyone

The directory tftpboot of LoLa — path where LoLa has been installed, for example:
C:\Program Files\PCXTools\lola\LoLa400_Rx.x\tftpboot —
must be set to Read and eXecute for everyone

Available free space of hard disk superior to hard disk space used by the backup file(s)

No other versions of LoLa must be installed on the PC

If you are under UAC (User Account Control), you must always run LOLA as Administrator

Installation of LoLa

Before installing LoLa:

Check that the network is up (see TroubleShooting).

Uninstall any previous version of LoLa.

NOTE: It is mandatory to u ninstall any previous version of LoLa before installing the new version.

The first step is to install the software from the installation media in any of the following manners:

Start the self-extracting program called lola400_<version>.exe (where <version> indicates the version of this package). Adapt and confirm the settings of the subsequent Self-Extractor window by clicking Unzip. After decompressing the main installation file, the process starts.

In case of a package already decompressed, start the setup.exe program which calls the main installation process.

The main installation process is divided in three steps, as follows:

LoLa - Installation on the Server

BOOTP server application (silent installation)

TFTP server application (silent installation)

NOTE: These three tools are mandatory to download the board software; if any of them is missing, download fails.

The first installation operation is the verification of system requirements. Two confirmation requests follow: confirm the Installation path and Program folder locations. After confirmation, program files are installed and the system is updated. Then the BOOTP and TFTP server silent installation processes are launched, one after the other. Once installation is completed, LoLa can be automatically started.

Configuration

LoLa Server

If a firewall is active on the PC, deactivate it.

To remove timeouts:

  1. In the Registry, go to ( x.x is number of Release):
    HKEY_CURRENT_USER\Software\PCXTools\LoLa400_Rx.x\LoLa\Config

  2. Set UseTimeouts to 0

If using two network interfaces:

  1. In the Registry, go to:
    HKEY_CURRENT_USER\Software\PCXTools\LoLa400_Rx.x\LoLa\Config

  2. IpAddress: enter the IP address of the network interface of the PC connected to the OmniPCX Office.

  3. In case of a migration from a configuration with CoCPU: COCPU_IP: enter the IP address of the network interface of the PC +2, for example:
    IpAddress = 172.25.52.36, COCPU_IP = 172.25.52.38.

BOOTP Server

Nothing to configure.

TFTP Server

Nothing to configure.

Software Download

Procedure

Ensure that the software to install is available, either on the PC (on hard disk or on a CD-ROM), or on the network (be aware that poor network quality may prevent loading of the CPU).

  1. Shut down the CPU board by pressing the small button on the front of the board.

  2. Wait until the CPU LED is lit (without flickering) and remove the board from the PBX platform.

  3. Unplug the CPU board and, according to the type of CPU, set the DIP switch or jumper to LoLa operations position as shown below.

    DIP switch position for LoLa operations on an Aspen CPU (CPU-1/2/3/4) board:

    DIP switch position for LoLa operations on a Pentium® CPU (CPUe-1/2) board:

    Jumper position for LoLa operations on a PowerCPU board:

The jumper position is the same on the PowerCPU board and on the PowerCPU EE board. In the PowerCPU EE board, the SD Card is replaced by MSDB (Mass Storage Daughter Board) 8 GB as unique mass storage device. MSDB is equipped with an eMMC (embedded Multi-Media Card) memory chip.

  4. Plug in the board to the platform.

  5. Start the LoLa server application and use the Delivery Location option to locate the software package to download.

  6. Select the directory which contains the directory "DownloadingItems" and confirm your entry. The Location frame shows the filename, including the path.

Starting with Release 8.1, LoLa 400/7.1 version or higher must be used. This version allows to select download of 8082 My IC Phone binaries. On LoLa, there is no specific option to select for 4135 IP Conference Phone. By default, 4135 IP Conference Phone binaries are automatically downloaded.

  7. Select the ACD/MLAA/SCR service box to download the ACD (Automatic Call Distribution) and/or the MLAA (Multiple Automated Attendant) and/or the SCR (Smart Call Routing) optional components. The licence determines the components to be installed, they are part of the same package.

  8. If your software package is valid, the Next button is enabled.

  9. In the country selection window, select the language package and license to install.

  10. Click the Next button

  11. Select the type of installation

  12. Click the Next button

  13. Connect the Ethernet cable between the CPU and PC and switch the CPU on.

  14. Click the Yes button.
    The BOOTP and the TFTP server applications are automatically launched after a few seconds.

NOTE: The Ethernet port on the PC must be up when clicking YES for the popup "Is the dip switch on CPU OK (LoLa mode)?"

Once these applications are running, LoLa starts its installation server.

Download

After the installation server is started, the BOOTP server is connected, then the TFTP server and finally, after some time, the LoLa installation server (which generates a log file in the LoLa's Log frame). The board is connected, then its flash memory, SD card or disk is mounted. When download operations are finished, the flash memory, SD card or disk is unmounted and the connection is closed. Software download is successful.

Activation

  1. Unplug the Ethernet cable from the updated board and unplug the board from the platform.

  2. Set the DIP switch or jumper to its original position, as shown below.

    DIP switch position for standard operation on an Aspen CPU (CPU-1/2/3/4):

    DIP switch position for standard operation on a Pentium® CPU (CPUe-1/2) board:

    Jumper position for standard operation on a PowerCPU board:

    The jumper position is the same on the PowerCPU board and on the PowerCPU EE board. In the PowerCPU EE board, the SD Card is replaced by MSDB (Mass Storage Daughter Board) 8 GB as unique mass storage device. MSDB is equipped with an eMMC (embedded Multi-Media Card) memory chip.

  3. Plug in the board to the platform again and start the CPU board.

Migration (Software Update)

Migration to a Mono-CPU Configuration

To update the software from a mono or multi-CPU configuration to a mono-CPU configuration:

  1. Verify the IP addresses (see TroubleShooting for more information)

  2. With OMC, back up telephony data

  3. Set the CPU DIP switch or jumper to LoLa operations position

  4. Run lola.exe

  5. Select the delivery (R3.x or greater) and select the language, the software key and the services

  6. Click Next

  7. Select the Migration mono CPU option

  8. Select an empty directory to save the backed up files to restore

  9. Click Next

  10. Connect the cable of the CPU to the PC

  11. Start the CPU

  12. Select the Yes Button

After a first stage of backup (see remark), there are two cases:

Case 1: Change of Hardware (CPU, hard disk...)

  1. Click Next

  2. Set the new CPU jumper to LoLa operations position and start the CPU

  3. Click Yes

Case 2: No Change of Hardware

  1. Click Next

  2. Click Yes

When software update is finished:

  1. Shutdown the CPU

  2. Set the CPU jumper to standard operation position

  3. Start the CPU

  4. With OMC, restore the configuration

Remark: in case of a problem after backup, use the Install/Restore option of LoLa to load R3.x (or later version) with the saved files. The files to restore are located in the storage directory you selected earlier.

Migration to a Multi-CPU Configuration

Not supported.

Install/Restore

If an error occurs during software update, use the Install/Restore option of LoLa to restore the backed up data. If the error occurs during the installation of the new R3.x (or greater version), restoration of Customer Data is possible:

  1. Check the IP addresses (see TroubleShooting for more information)

  2. R un lola.exe

  3. Select delivery R3.x (or greater) and select the language, the software key and the services

  4. Click Next

  5. Select the Install/Restore option

  6. Select the storage location where the files must be saved

  7. Click Next

  8. Connect the Ethernet cable of the CPU to the PC

  9. Start the CPU

  10. Click the Yes Button

When the Install/Restore operation is finished:

  1. Shutdown the CPU

  2. Set the CPU DIP switch or jumper to standard operation position

  3. Start the CPU

  4. With OMC, restore the data

Hints

Always use high speed Ethernet cables to avoid connection problems.

Do not download a software in a network environment.

In some rare cases, it has been observed that tools such as antivirus programs may slow down the network access, leading to timeout errors. If this is the case, deactivate the antivrus programs for the duration of download operations.

Troubleshooting

Timeout

For R1.1 and R2.x < R3.x, there is no error message of the type: mount Samba, bad Hardware ...
The application stops and informs the operation has failed. For more information, use a console to verify traces.

No request

If there is no BOOTP and TFTP request:

Check that the physical link is correctly connected from the PC to the OmniPCX Office

Check that the DIP Switch or jumper is set to LoLa operations

Check the IP addresses

Problems Related to Network Interfaces

If you have two network interfaces or if you change the IP address of a network interface:

Verify that the IP address provided by DHCP BOOTP is correct

Verify that the IP addresses are correct:

  1. In the Registry, go to:
    HKEY_CURRENT_USER\Software\PCXTools\LoLa400_Rx.x\LoLa\Config

  2. IpAddress: enter the IP address of the network interface of the PC connected to the OmniPCX Office.

  3. COCPU_IP (multi-CPU configuration): enter the IP adress of the network interface of the PC +2 (for example: IpAddress = 172.25.52.36 , COCPU_IP = 172.25.52.38).

Copy Failed

If you have a message error: Copy Failed

  1. Check the rights of directories

  2. Check if the file exists in the delivery

Reboot infinite

After the installation of LoLa, if reboot is infinite:

  1. Check that the language has been selected in the first wizard

Failed LoLa account

If you have a message error: Failed lola account

  1. Check the Windows® password policy

  2. If needed, modify the default password of LoLa account in the registry:

On 32 bit operating system: HKEY_LOCAL_MACHINE\SOFTWARE\PCXTools\LoLa400_x.x\x.x\LolaPassword (where x.x is the LoLa version)

On 64 bit operating system: HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\PCXTools\LoLa400_x.x\x.x\LolaPassword (where x.x is the LoLa version)

No Activity in the Window

After clicking the Yes button (hardware is ok), a window may appear with the message:
Waiting for board download request....
If after a few minutes (2 min) nothing occurs, the network link is not up.

Problem: Ethernet link is not up

Start the procedure from the beginning and verify that the physical Ethernet link is up, in any of the following manners:

Before clicking the Yes button, start the CPU, wait a few second (8 to 10 s) and click the Yes button

Before clicking the Yes button, start the CPU, wait for the display of the network icon in the bottom right of the system Window

Use a switch to maintain the network link